Package org.eclipse.m2m.atl.engine.extractors.xml

## Class XMLExtractor

- java.lang.Object
- - org.eclipse.m2m.atl.engine.extractors.xml.XMLExtractor

All Implemented Interfaces:
  `Extractor`

    public class XMLExtractor
    extends java.lang.Object
    implements Extractor

### Constructor Summary

Constructors
`XMLExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `extract​(ASMModel source, java.io.OutputStream target, java.util.Map params)` Performs the extraction.
`void` `extract​(ASMModel format, ASMModel extent, java.io.OutputStream out)`
`java.util.Map` `getParameterTypes()` returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value.
`java.lang.String` `getPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLExtractor

    public XMLExtractor()

### Method Detail

#### getParameterTypes

    public java.util.Map getParameterTypes()

Description copied from interface: `Extractor`
returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Specified by:
  `getParameterTypes` in interface `Extractor`

#### extract

    public void extract​(ASMModel source,
                        java.io.OutputStream target,
                        java.util.Map params)

Description copied from interface: `Extractor`
Performs the extraction.

Specified by:
  `extract` in interface `Extractor`
Parameters:
  `source` - The model to extract.
  `target` - The target OutputStream. Note that other target kinds can be used using params.
  `params` - A Map of additional parameters. The key is the name of the parameter.

#### getPrefix

    public java.lang.String getPrefix()

Specified by:
  `getPrefix` in interface `Extractor`

#### extract

    public void extract​(ASMModel format,
                        ASMModel extent,
                        java.io.OutputStream out)

Specified by:
  `extract` in interface `Extractor`